Name:         FoxitReader
License:      Freeware
Group:        Office
Summary:      Foxit Reader is a free PDF document viewer
Summary(de):  Foxit Reader ist ein freier PDF Dokumenten Betrachter
Version:      1.1.0
Release:      %mkrel 3
URL:          http://www.foxitsoftware.com/pdf/desklinux/index.html
Source0:      %{name}-%{version}.tar.gz
Source1:      fx-icon.png
BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}
Requires:     glibc >= 2.10.1
Requires:     libstdc++6 >= 4.4.1
Obsoletes:    %name < %version

%description
Foxit Reader is a free PDF document viewer for the Linux platform, with
a new streamlined interface, user-customized toolbar, incredibly small
size, breezing-fast launch speed and rich features. This empowers PDF
document users with Zoom function, Navigation function, Bookmarks,
Thumbnails, Text Selection Tool, Snapshot, and Full Screen capabilities.
Foxit Reader for Desktop Linux is provided by Foxit Corporation free for
non-commercial use.

%description -l de
Foxit ist ein schlanker, schneller PDF-Reader zum Öffnen, Anzeigen und
Ausdrucken von PDF-Dateien, den sie als Ersatz für den Adobe Reader
verwenden können. Im Gegensatz zum Adobe Reader startet Foxit blitzschnell
und kommt sogar ohne Installation aus, bietet jedoch alle wichtigen
Funktionen und sehr gute Bildqualität.

%prep

%setup -q

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}%{_bindir}

install -m 0755 FoxitReader %{buildroot}%{_bindir}

mkdir -p %{buildroot}%{_datadir}/foxit
install -m 0644 fum.fhd fpdfcjk.bin %{buildroot}%{_datadir}/foxit

mkdir -p %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=FoxitReader
Type=Application
Comment=FoxitReader reads pdf files
Terminal=false
Exec=FoxitReader
Icon=fx-icon.png
Categories=Qt;KDE;Graphics;Office;Viewer;X-MandrivaLinux-Multimedia-Graphics;
GenericName=FoxitReader
Encoding=UTF-8
X-Desktop-File-Install-Version=1.1
MimeType=application/pdf;application/x-gzpdf;application/x-bzpdf;
EOF

mkdir -p %{buildroot}%{_iconsdir}
install -m 0644 %{SOURCE1} %{buildroot}%{_iconsdir}/fx-icon.png
mkdir -p %{buildroot}%{_docdir}/%{name}
install -m 644 Readme.txt %{buildroot}%{_docdir}/%{name}
mkdir -p %{buildroot}%{_datadir}/locale/{de,fr,ja,zh_CN,zh_TW}/LC_MESSAGES
cp $RPM_BUILD_DIR/%{name}-%{version}/po/de/%{name}.mo %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/
cp $RPM_BUILD_DIR/%{name}-%{version}/po/fr/%{name}.mo %{buildroot}%{_datadir}/locale/fr/LC_MESSAGES/
cp $RPM_BUILD_DIR/%{name}-%{version}/po/ja/%{name}.mo %{buildroot}%{_datadir}/locale/ja/LC_MESSAGES/
cp $RPM_BUILD_DIR/%{name}-%{version}/po/zh_CN/%{name}.mo %{buildroot}%{_datadir}/locale/zh_CN/LC_MESSAGES/
cp $RPM_BUILD_DIR/%{name}-%{version}/po/zh_TW/%{name}.mo %{buildroot}%{_datadir}/locale/zh_TW/LC_MESSAGES/

%clean
rm -rf %{BuildRoot}

%post
if [ -d /usr/share/apps/FoxitReader ]; then rm -rf /usr/share/apps/FoxitReader; fi 

%postun
%{clean_menus}
%{clean_desktop_database}


%files 
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/foxit/*
%{_docdir}/%{name}/*
%{_iconsdir}/fx-icon.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/locale/*/LC_MESSAGES/*


%changelog
* Mon Nov 16 2009 Leiche <MeissSW01@aol.com> 1.1.0-3pclos2010
- fix helpfile
- add mimetypes to desktop file (tex)
- fix post script (tex)

* Mon Nov 16 2009 Leiche <MeissSW01@aol.com> 1.1.0-2pclos2010
- fix bug about right click menu

* Wed Nov 11 2009 Leiche <MeissSW01@aol.com> 1.1.0-1pclos2010
- build for PCLinuxOS

